[**@rxap/tree v19.0.4-dev.0**](../README.md)

***

[@rxap/tree](../globals.md) / SearchForm

# Class: SearchForm\<Scope\>

Defined in: [tree/src/lib/search.form.ts:30](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/tree/src/lib/search.form.ts#L30)

## Type Parameters

• **Scope** = `unknown`

## Implements

- `FormType`\<[`ISearchForm`](../interfaces/ISearchForm.md)\<`Scope`\>\>

## Constructors

### new SearchForm()

> **new SearchForm**\<`Scope`\>(): [`SearchForm`](SearchForm.md)\<`Scope`\>

#### Returns

[`SearchForm`](SearchForm.md)\<`Scope`\>

## Properties

### rxapFormGroup

> **rxapFormGroup**: `RxapFormGroup`\<[`ISearchForm`](../interfaces/ISearchForm.md)\<`Scope`\>\>

Defined in: [tree/src/lib/search.form.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/tree/src/lib/search.form.ts#L32)

#### Implementation of

`FormType.rxapFormGroup`

***

### scope

> **scope**: `RxapFormControl`\<`Record`\<`string`, `Scope`[]\>\>

Defined in: [tree/src/lib/search.form.ts:38](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/tree/src/lib/search.form.ts#L38)

#### Implementation of

`FormType.scope`

***

### search

> **search**: `RxapFormControl`\<`string`\>

Defined in: [tree/src/lib/search.form.ts:35](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/tree/src/lib/search.form.ts#L35)

#### Implementation of

`FormType.search`
